/* logos and socials */


#logo {
    position: relative;
    z-index: 1;
    top: 25px;
}


.iframe{
    background-color: #1e1e1e;
    width: 100%;
    height: 100vh;
    border: none;
    margin-left: auto;
    margin-right: auto;
}

#social{
    z-index: 1;
    position: relative;
    height: 60px;
    width: 60px;
    margin :10px;

}

.fullsize-img{
    width:100%;
    height:auto;
    object-fit: cover;
}

/* General Styles */
body {
    background-color: #1e1e1e;
    margin: 0;
    padding: 0;
}

::selection {
    background-color: #1eff69; /* Change highlight background */
    color: rgb(255, 255, 255); /* Change text color */
}

.flex-row{
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
}

a{
    color:#FFF;
    font-family: "Tilt Warp", sans-serif;
    font-weight: 400;
    font-style: normal;
    font-variation-settings:
      "XROT" 0,
      "YROT" 0;
    font-size: x-large;
    padding: 15px;
}

.no-padding{
    padding: 0;
}

.title, h1, h2, p, li {
    color: #fff;
    font-family: "Tilt Warp", sans-serif;
    font-weight: normal;
    font-style: normal;
}

.title {
    padding: 25px;
    font-size: 48px;
    margin: 0;
}

.title-subText{
    margin: 20px 0 20px 0;
}

.text-small-margin{
    margin:0px;
}

h1 {
    font-size: 48px;
}

h2 {
    font-size: 36px;
    color: #dbdbdb;
}

h3 {
    font-size: 32px;
    font-family: "Tilt Warp", sans-serif;
    font-weight: 400;
    color: #858585;
}

p, li {
    font-family: "Alegreya", serif;
    font-size: large;
}

.center-flex{
    display: flex;
    margin-left: auto;
    margin-right: auto;
    max-width: 1600px;
    flex-wrap: wrap;
    padding: 50px;
}

/* Mouse effect */

#mouse{
    z-index: 3;
    position:absolute;
    background-color: #69de90;
    opacity: .80;
    border:#69de90;
    transform-origin: center;
    border-radius: 50%;
    width: 15px;
    height: 15px;
    left:-7.5px;
    top:-7.5px;
    pointer-events: none; /* Allows clicking through */
    transition: background-color 0.5s ease-in-out;
    display: flex;
    justify-content: center;
    align-items: center;
}

#mouse-over-text{
    padding : 1px;
    display: none;
    color:#FFF;
    font-family: "Tilt Warp", sans-serif;
    font-weight: 400;
}

/* Navigation */
.main-nav {
    /*display: none;*/
}

#nav-area{
    background-color:#69de90;
    width: 100%;
    height: 100px;
    display: flex;

}

#hamburger{
    position: absolute;
    padding: 10px;
    top: 15px;
    right: 10px;
    z-index: 1;
    background-color: #FFFfff00;
    border: none;
    box-shadow: none;
}

/* footer */
footer{
    margin-top: 70px;
    background-color: #0c0c0c;
    position: relative;
    bottom: 0px;
}

.footer-desktop{
    flex-wrap: wrap;
    flex-direction: column;
}

.footer-nav{
    
    width: 50%;
    margin-left: auto;
    margin-right: auto;
    flex-wrap: wrap;

}

.text-logo
{
    margin-top: 50px;
    display: flex;
    flex-wrap: nowrap;
    flex-direction: row;
}


#logo-footer{
    padding: 10px;
    width: 80px;
    height: 80px;
    scale: .8;
}

/* Button */

#button-link{
    padding: 0px;
    text-decoration: none;
    font-size: large;
}

#btn-link:link { 
    text-decoration: none; 
} 
#btn-link:visited { 
    text-decoration: none; 
} 
#btn-link:hover { 
    text-decoration: none; 
} 
#btn-link:active { 
    text-decoration: none; 
}
  
#btn-link{
    color:#FFF;
    font-weight: 400;
    font-style: normal;
    font-size: 14px;
    padding: 0px;
}

.btn{
font-family: "Tilt Warp", sans-serif;
font-size: 14px;
color: #fff;
background-color: #2f5546;
padding: 10px 30px;
border: none;
box-shadow: none;
border-radius: 10px;
transition : 1000ms;
transform: translateY(0);
display: flex;
flex-direction: row;
align-items: center;
cursor: pointer;

}

.no-curve{
    border-radius: 0;
}

.btn:hover{
transition : 1000ms;
padding: 10px 50px;
transform : translateY(-0px);
background-color: #69de90;
color: #0066cc;
border: none;
}

/* Path */
.path-1 {
    position: absolute;
    width: 40vw;
    height: 826px;
    left: 40%;
    top: 150px;
    z-index: -2;
}

.arrow{
    position:absolute;
    z-index: -2;
    width :40vw;
    top:40%;
    left: 40%;
}

.arrow-text{
    position: relative;
    color: #69de90;
    top :180px;
    left:190px
}


/* Flexbox */
.flexbox {
    display: flex;
    flex-wrap: wrap;
}

.two-sided-flex{
    display: flex;
    justify-content: space-between;
}
/* Contact Details */
#contact-details {
    padding-top: 15vh;
    margin: 15px;
    min-width: 50%;
}

#contact-text{
    margin: 15px;
    padding-top: 15vh;
    padding-right: 10%;
    min-width: 30%;
}

/* Carousel =========================================================*/

.carousel-inner {
    position: relative;
    width: 100%;
    overflow: hidden;
}
.carousel-item {
    display: none;
    text-align: center;
}
.carousel-item.active {
    display: block;
}
.carousel-indicators {
    text-align: center;
    margin-top: 10px;
}
.dot {
    display: inline-block;
    width: 10px;
    height: 10px;
    margin: 0 5px;
    background-color:  #717171;
    border-radius: 50%;
    cursor: pointer;
}
.dot.active {
    background-color: #bbb;
}


/* Portfolio Page Styles ===============================================================================*/
#about-page {
    padding-top: 90px;
    margin: auto;
    width: 85%;
    padding-bottom: 40px;
}

#projects-title {
    font-size: 36px;
}


#trad, #threeD, #sketches, #digital ,#websites ,#games, #other{
    display: none;
}

.card-content, .card-content-large, .card-content-medium{
    width: calc(100%);
    display: flex;
    position: relative;
    flex-wrap: wrap;
}

.half{
    width: 50%;
    max-width: 800px;
    min-width: 600px;
}

.split-align{
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    column-gap: 40px;
    margin: 0 40px 20px;
}

.card-extension{
    display: none;
    margin: 25px;
    max-width: 1600px;
    width: calc(100% - 50px);
    flex-direction: row;
    flex-wrap: wrap;
    align-items: center;
    box-sizing: border-box;
}

.image-center{
    margin:0 auto 40px auto ;
    width: calc(75% - 50px);
    max-width: 1000px;
    height: auto;
    box-sizing: border-box;

}

.green-header-center{
    background-color:#2f5546;
    display: flex;
    justify-content: center;
    margin:0 auto 20px auto ;
    width: 100%;
}

.green-header-left{
    background-color:#2f5546;
    display: flex;
    padding:0 20px ;
    margin: 0 0 20px 0;
    width: calc(100% - 40px);
}

.center-align{
    display: flex;
    justify-content: center;
    margin:0 auto 20px auto ;

}

.max-800{
    max-width: 700px;
}

.max-1200{
    max-width: 1200px;
}

.card-text{
    display: none;
    width: calc(40% - 50px);
    margin: 25px;
    margin-right: 10%;

}

.card-titles {
    border-radius: 10px 10px 0 0;
    z-index: 1;
    position: absolute;
    top: 0;
    left: 0;
    width: calc(100% ); /* Match image width */
    height: calc(100% ); /* Match image height */
    background-color: rgba(0, 0, 0, 0); /* Fully transparent initially */
    transition: background-color 0.6s, opacity 0.6s ;
    display: flex;
    justify-content: center;
    align-items: center;
    opacity: 0; /* Initially hidden */
    color: white; /* Ensure title text color is visible on dark overlay */
}


.card-titles:hover{
    background-color: #00000099;
    opacity: 1;
    cursor: pointer;

}

.card-main-image
{
    object-fit: cover;
    transition: transfrom 0.2s ease-in-out;
}

.Image-inner-card{
    width:100%;
    overflow: hidden;
    margin-top: 15px;
    display: none;
    flex-wrap: wrap;
    
}

.Image-card-element{
    margin-bottom: 30px;
}

.short-description{
    background-color: #0c0c0c;
    width: 100%;
    margin: 0 10px 10px 10px;
    padding: 20px;
    border-radius: 0 0 10px 10px;
}

.description-text{
    color: #e9e9e9;
    margin:0;
}


/* Navigation in Portfolio Pages */
.nav-portfolio {
    min-width: 90%;
    background-color: #0c0c0c;
    margin-bottom: 15px;
}

.portfolio-nav-pos {
    display: flex;
    max-width: 1600px;
    margin-left: auto;
    margin-right: auto;
    flex-wrap: wrap;
}


#nav-button-content {
    font-family: "Tilt Warp", sans-serif;
    font-size: x-large;
    color: #fff;
    background-color: #2f5546;
    padding: 10px 30px;
    border: none;
    border-radius: 0px;
    transition: 0ms;
    transform: translateY(0);
    display: flex;
    flex-direction: row;
    align-items: center;
    cursor: pointer;
    margin: 20px 7px;
}

#nav-button-content:hover {
    background-color: #69de90;
    color: #0066cc;
}

.back-button{
    display: none;
    padding: 10px;
    position: absolute;
    top: 15px;
    right: 15px;
    z-index: 1;
    background-color: #0c0c0c;
    border: none;
    box-shadow: none;
    color:#fff;
    border-radius: 15px;
}

/* Image Content */
.image-content {
    max-width: 1600px;
    width: 95%;
    margin: 0 auto;
    min-height: calc(1500px - 20vh);
}

.image-card, .image-card-medium, .image-card-large {
    margin: 10px 10px 0 10px;
    width: 100%;
    position: relative;
    display: inline-block;

}
.curved-top{
    border-radius: 10px 10px 0 0;   
}


@media only screen and (min-width: 1400px) {
    .content{height: 85vh ;}
}

/* Responsive Design */
@media only screen and (max-width: 768px) {
    /* Mobile */
    .desktop {
        display: none;
    }

    .image-content{
        width: 100%;
        margin: 0;
    }

    .path {
        display: none;
    }

    #nav-area {
        height: 70px;
    }

    .card-extension{
        display: none;
        margin: 20px;
    }

    .topnav {
        background-color: rgb(12, 12, 12);
        width: 100vw;
        z-index: 1;
        margin-top: 70px;
        position: relative;
    }

    .topnav a {
        color: white;
        padding: 16px 16px;
        text-decoration: none;
        font-size: 28px;
        display: block;
        text-align: right;
        padding-top:15px ;
        padding-bottom: 5px;        
    }

    a{
        font-size: medium;
    }

    H1{
        font-size:40px;
    }

    .active {
        background-color: #2f5546;;
    }

    .iframe{
        background-color: #1e1e1e;
        max-width: 1200px;
        width: 100%;
        height: 100vh;
        border: none;
    }

    embed{
        height: inherit;
    }

    #logo{
        z-index: 2;
        margin: 10px;
        margin-right: 100px;
        width: 80px;
        height: 80px;
        position: absolute;
        top: 10px;
        left: 10px;
        
    }




    #image-side {
        width: 100%;
        height: 350px;
        z-index: -1;
    }

    #text-side {
        margin: auto;
        width: 85%
    }

    #home-image{
        margin: auto;
        padding-top: 40px;
        width: 85%;
        padding-bottom: 40px;
    }
    #center
    {
        margin-left: auto;
        margin-right: auto;
    }

    .title {
        position: absolute;
        padding: 10px;
        left: 95px;
        font-size: 36px;
   
    }

    .card-text{
        width: calc(100%);
        margin: 25px;
        padding-top: 10px;
    }

    .Image-inner-card{
        width:100%;
    }

    .card-content{
        flex-wrap: wrap;
        width: 100%;
    }

    .image-card, .image-card-medium, .image-card-large {
        width: 100%;
    }

    .fullsize-img{
        max-height: 350px;
    }

    .two-sided-flex{
        display: flex;
        flex-direction: column-reverse;

    }

    .footer-nav{
        width: 100%;
        display: flex;
        flex-direction: column;
        align-items: center;
    }

    .footer-desktop{
        flex-wrap: nowrap;
    }

    .text-logo{
        margin-top: 0;

    }

    .image-center{
        margin:0 auto 40px auto ;
        width: 100%;
        box-sizing: border-box;
    
    }

    .carousel-image{
        width: 100%; height: 100%;
    }

    .half{
        width: 100%;
        min-width: 0px;
    }
    
    .split-align{
        display: flex;
        flex-direction: column;
        flex-wrap: nowrap;
        row-gap: 40px;
        margin: 0 0px 20px;
    }
    

    .content{
        width: 100%;
        margin-left: auto;
        margin-right: auto;
    }

    #social{
        height: 40px;
        width: 40px;
    }
}

@media only screen and (min-width: 768px) and (max-width: 1400px) {
    /* Tablets and smaller screens */
    nav {
        position: absolute;
        padding: 40px;
        display: none;
        right: 10%;
    }

    .two-sided-flex{
        flex-direction: column;
        align-items: flex-start;
    }

    #image-side{
        margin-bottom: 40px;
    }

    footer{
        margin-top: 70px;
        position: initial;
    }

    .fullsize-img{
        max-height: 350px;
        max-width: 800px;
    }
}

@media only screen and (min-width: 768px) {
    /* Desktop */
    .mobile {
        display: none;
    }

    h1 {
        font-size: 40px;
    }

    h1#projects-title {
        width: 70%;
        margin: 0 auto;
        font-size: 36px;
        padding-bottom: 30px;
    }

    #about-page {
        padding-top: 100px;
        margin: auto;
        width: 55%;
        padding-bottom: 80px;
        max-width: 1000px;
    }


    nav {
        position: absolute;
        padding: 40px;
        right: 50px;
    }

    a {
        padding: 15px;
    }

    #text-side {
        padding-top:20vh ;
        padding-right: calc(30vw - 700px);
        align-items: center;
    }

    .content {
        padding-left: 10%;
        min-width: 1400px;
        position: relative;

    }

    #logo {
        height: 100px;
        width: 100px;
        position: relative;
        z-index: 1;
        top: 25px;
    }

    #hamburger {
        display: none;
    }

    #nav-content {
        display: flex;
        min-width: 1400px;
        margin-left: 10%;
    }

    #contact-details {
        padding-bottom: 35vh;
    }

    #carousel-Images {
        width: 1000px;
    }

    .image-card {
        width: 100%;
    }

    .card-content{
        width: calc(33% - 20px);
    }
    
    .card-content-large{
        width: calc(66% - 20px);
    }
    .card-content-medium{
        width: calc(50% - 20px);
    }
    
}

